@charset "utf-8";

/*------------------------------------------------------------
	sitemap
------------------------------------------------------------*/
.sitemap-list,
.sitemap-list-child {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 0 min(2.13vw, 8px);

	>li {
		border-bottom: .5px solid var(--color-gray);
	}

	a {
		display: flex;
		height: min(12.8vw, 48px);
		align-items: center;
		justify-content: flex-start;
		font-size: min(3.73vw, 14px);
		position: relative;
		padding-left: min(4.26vw, 16px);
		line-height: 1.4;

		&::before {
			content: "〉";
			position: absolute;
			top: 50%;
			left: 0;
			transform: translateY(-50%);
			z-index: 5;
			color: var(--color-gold-dark);
		}
	}
}

@media screen and (max-width: 767px) {

	.sitemap-list,
	.sitemap-list-child {
		grid-template-columns: repeat(1, 1fr);

		a {
			padding-left: min(5.33vw, 20px);

			&::before {
				left: min(1.06vw, 4px);
			}
		}
	}
}


.sitemap-list-child {
	border-top: .5px solid var(--color-gray);
	border-bottom: .5px solid var(--color-gray);

	li {
		border-bottom: .5px dashed var(--color-gray);
	}

	a {
		padding-left: min(10.66vw, 40px);

		&::before {
			content: "−";
			left: min(5.33vw, 20px);
		}
	}
}

@media screen and (min-width: 768px) {
		.sitemap-list-child {
		li {
			&:nth-last-child(-n+2) {
				border-bottom: 0;
			}
		}
	}
}

@media screen and (max-width: 767px) {
	.sitemap-list-child {
		li {
			&:nth-last-child(-n+1) {
				border-bottom: 0;
			}
		}
	}
}

.sitemap-list.nagaokakyo,
.sitemap-list.katsura,
.sitemap-list.saiin {
	li {
		border-bottom: 0;
		font-weight: 500;
	}
}

.sitemap-list.nagaokakyo {
	a {
		&::before {
			color: var(--color-nagaokakyo);
		}
	}
}

.sitemap-list.katsura {
	a {
		&::before {
			color: var(--color-katsura);
		}
	}
}

.sitemap-list.saiin {
	a {
		&::before {
			color: var(--color-saiin);
		}
	}
}

.sitemap-list.hamamatsu {
	li {
		font-weight: 500;
	}
}